Topic: MDB with JHipster

karim pro asked 5 years ago


Hello everyone, I tried to follow the installation guidelines for the MDB-PRO v.5.1.2 (Angular version) with a project Created by "Jhipster" using Yarn when I run the application (yarn start) I get this error:   Error in ./node_modules/ng-mdb-pro/pro/date-picker/directives/datepickerAutofill.directive.ts [7, 13]: The selector of the directive "InputAutoFillDirective" should have prefix "jhi" (https://angular.io/styleguide#style-02-08) @ ./node_modules/ng-mdb-pro/pro/accordion/index.ts 15:16-47 32:9-40 @ ./node_modules/ng-mdb-pro/pro/index.ts @ ./node_modules/ng-mdb-pro/index.ts @ ./src/main/webapp/app/app.module.ts @ ./src/main/webapp/app/app.main.ts @ multi (webpack)-dev-server/client?http://localhost:9060 webpack/hot/dev-server ./src/main/webapp/app/app.main Best Regards,  

Damian Gemza staff answered 5 years ago


Dear Karim, Unfortunately, we didn't test our library with JHipster platform, so we can't provide you ready integration instruction for this platform. This error says that directive should have jhi prefix (that's jhipster prefix), but it's unable to do from our side - we're prefixing our components with mdb prefix. If you want to fix it, you have to change the prefix for this directive. But it would crash MDB in your project. Best Regards, Damian  

Please insert min. 20 characters.

FREE CONSULTATION

Hire our experts to build a dedicated project. We'll analyze your business requirements, for free.

Status

Answered

Specification of the issue

  • User: Pro
  • Premium support: No
  • Technology: MDB Angular
  • MDB Version: -
  • Device: -
  • Browser: -
  • OS: -
  • Provided sample code: No
  • Provided link: No
Tags